<script setup lang="ts">
import CsvImporter from "../components/CsvImporter.vue";
import TimelineViewer from "@/components/TimelineViewer.vue";

import { ref } from "vue";

const csvData = ref<CsvData>({
  columns: [] as string[],
  data: [],
});


</script>

<template>
  <main>
    <CsvImporter @data="csvData = $event" />
    <TimelineViewer :data="csvData" />
  </main>
</template>
